import React from 'react';
import Datasheet from 'react-datasheet';
import { Entity as FTMEntity, Schema as FTMSchema } from '@alephdata/followthemoney';
import { SortType } from 'components/common/types';
import { IEntityTableCommonProps } from 'components/EntityTable/common';
import './TableEditor.scss';
export interface CellData extends Datasheet.Cell<CellData, any> {
    className: string;
    value?: any;
    data?: any;
    component?: any;
}
interface ITableEditorProps extends IEntityTableCommonProps {
    entities: Array<FTMEntity>;
    schema: FTMSchema;
    sort: SortType | null;
    sortColumn: (field: string) => void;
    selection: Array<string>;
    updateSelection: (entityIds: Array<string>, newVal: boolean) => void;
    fetchEntitySuggestions: (queryText: string, schemata?: Array<FTMSchema>) => Promise<FTMEntity[]>;
}
export declare const TableEditor: React.FC<import("react-intl").WithIntlProps<ITableEditorProps>> & {
    WrappedComponent: React.ComponentType<ITableEditorProps>;
};
export {};
