import * as React from 'react';
import { WrappedComponentProps } from 'react-intl';
import './Histogram.scss';
interface IHistogramDatum {
    id: string;
    label: string;
    [key: string]: any;
}
interface IHistogramProps extends WrappedComponentProps {
    data: Array<IHistogramDatum>;
    onSelect: (selected: any | Array<any>) => void;
    chartProps?: any;
    containerProps?: any;
    dataPropName: string;
}
interface IHistogramState {
    selectStart?: IHistogramDatum;
    selectEnd?: IHistogramDatum;
}
export declare class Histogram extends React.Component<IHistogramProps, IHistogramState> {
    constructor(props: Readonly<IHistogramProps>);
    onMouseDown(e: any): void;
    onMouseMove(e: any): void;
    onMouseUp(e: any): void;
    onSelect(e: any): void;
    renderBars(): JSX.Element;
    CustomTooltip({ active, payload, label }: {
        active?: any;
        payload?: any;
        label?: any;
    }): JSX.Element | null;
    render(): JSX.Element;
}
declare const _default: React.FC<import("react-intl").WithIntlProps<IHistogramProps>> & {
    WrappedComponent: React.ComponentType<IHistogramProps>;
};
export default _default;
