import * as React from 'react';
import { WrappedComponentProps } from 'react-intl';
import { EntityManager } from 'components/common';
import { GraphConfig } from 'NetworkDiagram/GraphConfig';
import { GraphLayout } from 'NetworkDiagram/layout';
import { Viewport } from 'NetworkDiagram/Viewport';
import './NetworkDiagram.scss';
export interface INetworkDiagramProps extends WrappedComponentProps {
    config: GraphConfig;
    locale?: string;
    entityManager: EntityManager;
    layout: GraphLayout;
    viewport: Viewport;
    updateLayout: (layout: GraphLayout, options?: any) => void;
    updateViewport: (viewport: Viewport) => void;
    writeable: boolean;
    externalFilterText?: string;
    svgRef?: React.RefObject<SVGSVGElement>;
}
export declare const NetworkDiagram: React.FC<import("react-intl").WithIntlProps<INetworkDiagramProps>> & {
    WrappedComponent: React.ComponentType<INetworkDiagramProps>;
};
