import * as React from 'react';
import { DraggableEvent, DraggableData } from 'react-draggable';
import { Point } from 'NetworkDiagram/layout/Point';
import { Rectangle } from 'NetworkDiagram/layout/Rectangle';
interface ICanvasProps {
    svgRef: React.RefObject<SVGSVGElement>;
    selectArea: (area: Rectangle) => any;
    clearSelection: () => any;
    animateTransition: boolean;
    actions: any;
    viewBox: any;
}
export declare class Canvas extends React.Component<ICanvasProps> {
    static contextType: React.Context<import("NetworkDiagram/GraphContext").IGraphContext | undefined>;
    selectionRef: React.RefObject<SVGRectElement>;
    dragInitial: Point;
    dragExtent: Point;
    constructor(props: Readonly<ICanvasProps>);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private onResize;
    private resizeSelection;
    private onDragMove;
    private onKeyDown;
    private onKeyUp;
    onDragEnd(): void;
    onDragStart(e: DraggableEvent, data: DraggableData): void;
    private onMouseZoom;
    private onKeyZoom;
    private onDoubleClick;
    componentWillReceiveProps(nextProps: Readonly<ICanvasProps>): void;
    animationHandler(animateTransition: boolean, oldViewBox: string, viewBox: string): void;
    _animateTransition(oldViewBox: string, viewBox: string, userDuration?: number): void;
    _now(): number;
    render(): JSX.Element;
}
export {};
