import * as React from 'react';
import { DraggableEvent, DraggableData } from 'react-draggable';
import { Point } from 'NetworkDiagram/layout/Point';
import './EdgeLabelRenderer.scss';
interface IEdgeLabelRendererProps {
    labelText: string;
    center: Point;
    onClick: (e: any) => void;
    dragSelection: (offset: Point, initialPosition?: Point) => any;
    dropSelection: () => any;
    outlineColor?: string;
    textColor?: string;
    svgRef: React.RefObject<SVGSVGElement>;
}
interface IEdgeLabelRendererState {
    textExtents: any;
}
export declare class EdgeLabelRenderer extends React.PureComponent<IEdgeLabelRendererProps, IEdgeLabelRendererState> {
    static contextType: React.Context<import("NetworkDiagram/GraphContext").IGraphContext | undefined>;
    gRef: React.RefObject<SVGGElement>;
    text: any;
    dragInitial: Point;
    constructor(props: IEdgeLabelRendererProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: IEdgeLabelRendererProps): void;
    componentWillUnmount(): void;
    private onDragMove;
    onDragEnd(): void;
    onDragStart(e: DraggableEvent, data: DraggableData): void;
    onDoubleClick(e: any): void;
    render(): JSX.Element;
}
export {};
