import * as React from 'react';
import { DraggableEvent } from 'react-draggable';
import { GraphElement, Grouping, Point, Vertex } from 'NetworkDiagram/layout';
interface IGroupingRendererProps {
    grouping: Grouping;
    vertices: Vertex[];
    selectGrouping: (element: Array<GraphElement>, options?: any) => any;
    dragSelection: (offset: Point) => any;
    dropSelection: () => any;
    actions: any;
}
interface IGroupingRendererState {
    hovered: boolean;
}
export declare class GroupingRenderer extends React.PureComponent<IGroupingRendererProps, IGroupingRendererState> {
    static contextType: React.Context<import("NetworkDiagram/GraphContext").IGraphContext | undefined>;
    gRef: React.RefObject<SVGGElement>;
    constructor(props: Readonly<IGroupingRendererProps>);
    private onDragMove;
    onDragEnd(): void;
    onDragStart(e: DraggableEvent): void;
    onClick(e: any): void;
    onMouseOver(): void;
    onMouseOut(): void;
    render(): JSX.Element | null;
}
export {};
