import * as React from 'react';
import { DraggableEvent } from 'react-draggable';
import { Point } from 'NetworkDiagram/layout/Point';
import { Vertex } from 'NetworkDiagram/layout/Vertex';
interface IVertexRendererProps {
    vertex: Vertex;
    selectVertex: (vertex: Vertex, options?: any) => any;
    dragSelection: (offset: Point) => any;
    dropSelection: () => any;
    actions: any;
}
interface IVertexRendererState {
    hovered: boolean;
}
export declare class VertexRenderer extends React.PureComponent<IVertexRendererProps, IVertexRendererState> {
    static contextType: React.Context<import("NetworkDiagram/GraphContext").IGraphContext | undefined>;
    gRef: React.RefObject<SVGGElement>;
    constructor(props: Readonly<IVertexRendererProps>);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private onDragMove;
    onDragEnd(): void;
    onDragStart(e: DraggableEvent): void;
    onClick(e: any): void;
    onDoubleClick(e: MouseEvent): void;
    onMouseOver(): void;
    onMouseOut(): void;
    getColor(): any;
    allowPointerEvents(): boolean;
    render(): JSX.Element;
}
export {};
