import * as React from 'react';
import { Entity } from '@alephdata/followthemoney';
import { Vertex } from 'NetworkDiagram/layout';
export interface IEntityBulkEditProps {
    text: string;
    entities: Array<Entity>;
    setVerticesColor: (vertices: Array<Vertex>, color: string) => void;
    setVerticesRadius: (vertices: Array<Vertex>, radius: number) => void;
}
export interface IEntityBulkEditState {
    isOpen: boolean;
    selectedColor?: string;
    selectedRadius?: number;
}
export declare class EntityBulkEdit extends React.Component<IEntityBulkEditProps, IEntityBulkEditState> {
    static contextType: React.Context<import("NetworkDiagram/GraphContext").IGraphContext | undefined>;
    constructor(props: Readonly<IEntityBulkEditProps>);
    toggleOpen: () => void;
    getVertices(): any[];
    onColorSelected: (color: string) => void;
    onRadiusSelected: (radius: number) => void;
    render(): JSX.Element;
}
