import * as React from 'react';
import { IEntityDatum, Property as FTMProperty } from '@alephdata/followthemoney';
import { FTMEntityExtended as FTMEntity } from 'types';
import { Vertex } from 'NetworkDiagram/layout';
import './EntityViewer.scss';
interface IEntityViewerProps {
    entity: FTMEntity;
    vertexRef?: Vertex;
    onEntityChanged: (entity: FTMEntity, previousData: IEntityDatum) => void;
    onVertexColorSelected: (vertex: Vertex, color: string) => void;
    onVertexRadiusSelected: (vertex: Vertex, radius: number) => void;
}
interface IEntityViewerState {
    visibleProps: FTMProperty[];
    currEditing: FTMProperty | null;
}
export declare class EntityViewer extends React.PureComponent<IEntityViewerProps, IEntityViewerState> {
    static contextType: React.Context<import("NetworkDiagram/GraphContext").IGraphContext | undefined>;
    private schemaProperties;
    constructor(props: IEntityViewerProps);
    getVisibleProperties(props?: Readonly<IEntityViewerProps> & Readonly<{
        children?: React.ReactNode;
    }>): FTMProperty[];
    componentWillReceiveProps(nextProps: Readonly<IEntityViewerProps>): void;
    onNewPropertySelected(p: FTMProperty): void;
    onEditPropertyClick(property: FTMProperty): void;
    onSubmit(entity: FTMEntity, previousData: IEntityDatum): void;
    renderProperty(property: FTMProperty): JSX.Element;
    render(): JSX.Element;
}
export {};
