import * as React from 'react';
import { Entity } from '@alephdata/followthemoney';
import { Grouping, Vertex } from 'NetworkDiagram/layout';
import './Sidebar.scss';
export interface ISidebarProps {
    searchText: string;
    isOpen: boolean;
    selectedEntities: Array<Entity>;
}
export declare class Sidebar extends React.Component<ISidebarProps> {
    static contextType: React.Context<import("NetworkDiagram/GraphContext").IGraphContext | undefined>;
    constructor(props: Readonly<ISidebarProps>);
    onEntityChanged(entity: Entity): void;
    removeGroupingEntity(grouping: Grouping, entity: Entity): void;
    setVerticesColor(vertices: Array<Vertex>, color: string): void;
    setVerticesRadius(vertices: Array<Vertex>, radius: number): void;
    setGroupingColor(grouping: Grouping, color: string): void;
    onEntitySelected(entity: Entity): void;
    render(): JSX.Element;
}
