import * as React from 'react';
import { WrappedComponentProps } from 'react-intl';
import { Entity, Schema } from '@alephdata/followthemoney';
import { EdgeType } from 'types';
import { EntityManager } from 'components/common';
interface IEdgeCreateDialogProps extends WrappedComponentProps {
    source: Entity;
    target?: Entity;
    isOpen: boolean;
    toggleDialog: () => any;
    onSubmit: (source: Entity, target: Entity, type: EdgeType) => void;
    fetchEntitySuggestions: (queryText: string, schemata?: Array<Schema>) => Promise<Entity[]>;
    entityManager: EntityManager;
}
interface IEdgeCreateDialogState {
    source?: Entity;
    target?: Entity;
    sourceSuggestions: any;
    targetSuggestions: any;
    type?: EdgeType;
    isProcessing: boolean;
}
export declare class EdgeCreateDialog extends React.Component<IEdgeCreateDialogProps, IEdgeCreateDialogState> {
    types: EdgeType[];
    state: IEdgeCreateDialogState;
    constructor(props: any);
    componentDidUpdate(prevProps: IEdgeCreateDialogProps): void;
    onChangeType(type: EdgeType): void;
    onSelectSource(source: Entity): void;
    onSelectTarget(target: Entity): void;
    isValid(): boolean | undefined;
    onSubmit(e: React.ChangeEvent<HTMLFormElement>): Promise<void>;
    isReversible(): boolean | undefined;
    onReverse(): void;
    getTypes(): EdgeType[];
    getSourceLabel(): string | undefined;
    getTargetLabel(): string | undefined;
    getTypeDescription(): string | undefined | null;
    fetchSourceSuggestions(query: string): Promise<void>;
    fetchTargetSuggestions(query: string): Promise<void>;
    fetchSuggestions(query: string): Promise<Entity[]>;
    render(): JSX.Element;
}
declare const _default: React.FC<import("react-intl").WithIntlProps<IEdgeCreateDialogProps>> & {
    WrappedComponent: React.ComponentType<IEdgeCreateDialogProps>;
};
export default _default;
