import * as React from 'react';
import { IEntityDatum, Model, Property as FTMProperty, Schema } from '@alephdata/followthemoney';
import { FTMEntityExtended as Entity } from 'types';
import './EditableProperty.scss';
interface IEditablePropertyProps {
    entity: Entity;
    property: FTMProperty;
    editing: boolean;
    writeable?: boolean;
    onToggleEdit: (property: FTMProperty) => void;
    onSubmit: (entity: Entity, previous: IEntityDatum) => void;
    fetchEntitySuggestions?: (queryText: string, schemata?: Array<Schema>) => Promise<Entity[]>;
    resolveEntityReference?: (entityId: string) => Entity | undefined;
    createNewReferencedEntity?: (entityData: any) => Promise<Entity>;
    minimal?: boolean;
    model?: Model;
}
export declare class EditableProperty extends React.Component<IEditablePropertyProps> {
    constructor(props: IEditablePropertyProps);
    toggleEditing(e: React.MouseEvent): void;
    render(): JSX.Element;
}
export {};
