import * as React from 'react';
import { WrappedComponentProps } from 'react-intl';
import { Entity, Model, Schema as FTMSchema, Values } from '@alephdata/followthemoney';
import './EntityCreateDialog.scss';
interface IEntityCreateDialogProps extends WrappedComponentProps {
    isOpen: boolean;
    onSubmit: (entityData: any) => Promise<Entity | undefined>;
    toggleDialog: () => any;
    schema?: FTMSchema;
    schemaRange?: string;
    model: Model;
    fetchEntitySuggestions?: (queryText: string, schemata?: Array<FTMSchema>) => Promise<Entity[]>;
    initialCaption?: string;
}
interface IEntityCreateDialogState {
    inputText: string;
    isProcessing: boolean;
    isFetchingSuggestions: boolean;
    schema: FTMSchema;
    suggestions: Entity[];
}
export declare class EntityCreateDialog extends React.Component<IEntityCreateDialogProps, IEntityCreateDialogState> {
    constructor(props: any);
    componentDidUpdate(prevProps: IEntityCreateDialogProps): void;
    getInitialSchema(): FTMSchema;
    onQueryChange(inputText: string): void;
    onSchemaSelect(schema: FTMSchema): void;
    fetchSuggestions(inputText: string, schemata: Array<FTMSchema>): Promise<void>;
    getCaptionProperty(): string;
    onInputSubmit(): Promise<void>;
    onSelectSubmit(values: Values): Promise<void>;
    render(): JSX.Element;
}
export {};
