import * as React from 'react';
import { Values } from '@alephdata/followthemoney';
import { ITypeEditorProps } from './common';
import './TextEdit.scss';
interface ITextEditProps extends ITypeEditorProps {
    multiline: boolean;
    onChange: (values: Values) => void;
}
interface ITextEditState {
    forceMultiEdit: boolean;
    currMultiInputValue: string;
}
declare class TextEdit extends React.PureComponent<ITextEditProps, ITextEditState> {
    static group: Set<string>;
    private containerRef;
    private multiInputRef;
    private singleInputRef;
    constructor(props: ITextEditProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: ITextEditProps, prevState: ITextEditState): void;
    componentWillUnmount(): void;
    handleClickOutside(e: MouseEvent): void;
    onChange: (values: Array<string | React.ReactNode>) => void;
    triggerMultiEdit(e: any): void;
    render(): JSX.Element;
}
export default TextEdit;
